import {Component, OnDestroy} from '@angular/core';
import {ICellRendererAngularComp} from 'ag-grid-angular';

@Component({
  selector: 'app-delete-button',
  templateUrl: './delete-template-button.component.html',
  styleUrls: ['./delete-template-button.component.css']
})
export class DeleteTemplateButtonComponent implements ICellRendererAngularComp, OnDestroy {
  public params: any;

  agInit(params: any): void {
    this.params = params;
  }

  ngOnDestroy(): void {

  }

  public invokeParentMethod() {
    const transaction = {
      remove: [this.params.data]
    };
    this.params.context.componentParent.removeTemplate(this.params.data, transaction);
  }

  refresh(): boolean {
    return false;
  }
}
